# Upload a project archive as a new project or a new revision of an existing project

Endpoint: PUT /api/projects
Version: 1.0
Security: ApiKeyAuth

## Query parameters:

  - `project` (string, required)
    project name

  - `revision` (string, required)
    revision

  - `schedule_from` (string)
    start scheduling of new workflows from the given time instead of current time

  - `clear_schedule` (array)
    clear_schedule

  - `clear_schedule_all` (boolean)
    clear_schedule_all

  - `skip_schedule` (boolean)
    skip schedules to current time for workflows whose schedule definition changed. Ignored when clear_schedule or clear_schedule_all is specified.

## Header parameters:

  - `Content-Length` (integer)

## Response 200 fields (application/json):

  - `archiveMd5` (string)
    MD5 of archive
    Example: "ZGRJdysyQ3VjZXI2UUN1c1ZhRXdDUT09"

  - `archiveType` (string, required)
    archive type
    Example: "s3"

  - `createdAt` (string, required)
    created time
    Example: "2023-08-18T06:52:33Z"

  - `deletedAt` (string)
    deleted time
    Example: "2023-08-18T06:52:33Z"

  - `id` (string, required)
    project ID
    Example: "123456"

  - `metadata` (array)
    project metadata

  - `metadata.key` (string)

  - `metadata.value` (string)

  - `name` (string, required)
    project name
    Example: "project-a"

  - `revision` (string, required)
    revision
    Example: "rev-20230101-1"

  - `updatedAt` (string, required)
    updated time
    Example: "2023-08-18T06:52:33Z"


